<?php

namespace App\Entities\Equipment\Link;


use App\Entities\Equipment\EquipmentEntity;

abstract class LinkEntity extends EquipmentEntity
{
    public function __construct(array|null $data = null)
    {
        parent::__construct($data);
    }
    abstract public function getPartInfoUID(): string;
    final public function getServiceInfoUID(): string
    {
        return $this->attributes['serverinfo_uid'];
    }
    final public function getServerInfoUID(): string
    {
        return $this->attributes['serverinfo_uid'];
    }
    final public function getBillingType(): string
    {
        return $this->attributes['billing_type'];
    }
    final public function getAmount(): string
    {
        return $this->attributes['amount'];
    }
}
